cURL
curl 'https://api.gumloop.com/api/v1/mcp/servers/gumloop_notion/resources/read?uri=notion%3A%2F%2Fpages%2F2f1a9c7e&team_id=YOUR_TEAM_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
response = client.mcp.get_resource("gumloop_notion", "notion://pages/2f1a9c7e", team_id="YOUR_TEAM_ID")
for content in response.contents:
print(content.mime_type, content.text or "<binary>")
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/mcp/servers/{server_id}/resources/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"server_id": "<string>",
"uri": "<string>",
"contents": [
{
"uri": "<string>",
"mime_type": "<string>",
"text": "<string>",
"blob": "<string>"
}
]
}Read MCP server resource
Read one resource by uri. Each content item is either text or a base64 blob, never both.
GET
/
mcp
/
servers
/
{server_id}
/
resources
/
read
cURL
curl 'https://api.gumloop.com/api/v1/mcp/servers/gumloop_notion/resources/read?uri=notion%3A%2F%2Fpages%2F2f1a9c7e&team_id=YOUR_TEAM_ID' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'from gumloop import Gumloop
client = Gumloop(access_token="YOUR_ACCESS_TOKEN")
response = client.mcp.get_resource("gumloop_notion", "notion://pages/2f1a9c7e", team_id="YOUR_TEAM_ID")
for content in response.contents:
print(content.mime_type, content.text or "<binary>")
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumloop.com/api/v1/mcp/servers/{server_id}/resources/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"server_id": "<string>",
"uri": "<string>",
"contents": [
{
"uri": "<string>",
"mime_type": "<string>",
"text": "<string>",
"blob": "<string>"
}
]
}Authorizations
Path Parameters
Was this page helpful?
